import { StrictMode } from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const arcCenterX = 480;
const arcCenterY = 400;
const strokeWidth = 10;
const eyeOffset = 100;
const eyeSize = 50;
const mouthWidth = 20;
const mouthRadius = 130;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI/2*-1)
  .endAngle(Math.PI/2);

// const mouthArc = arc()
// 								.innerRadius(mouthRadius)
// 								.outerRadius(mouthRadius + mouthWidth)
// 								.startAngle(Math.PI/2)
// 								.endAngle(Math.PI*3/2);
const BackgroundCircle = ({ radius }) => (
  <circle
    r={radius}
    fill="yellow"
    stroke="black"
    stroke-width={strokeWidth}
  ></circle>
);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <BackgroundCircle
        radius={centerY - strokeWidth / 2}
      />
      <circle
        cx={-eyeOffset}
        cy={-eyeOffset}
        r={eyeSize}
        fill="black"
      ></circle>
      <circle
        cx={eyeOffset}
        cy={-eyeOffset}
        r="50"
        fill="black"
      ></circle>
      </g>
    <g transform={`translate(${arcCenterX},${arcCenterY})`}>
      <path d={mouthArc()} />
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
